cURL
curl --request GET \
--url https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/steps/{step_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/steps/{step_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/steps/{step_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "thread.run.step",
"created_at": 123,
"assistant_id": "<string>",
"thread_id": "<string>",
"run_id": "<string>",
"type": "message_creation",
"status": "in_progress",
"step_details": {
"type": "message_creation",
"message_creation": {
"message_id": "<string>"
}
},
"last_error": {
"code": "server_error",
"message": "<string>"
},
"expired_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}Get run step
GET
/
threads
/
{thread_id}
/
runs
/
{run_id}
/
steps
/
{step_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Available options:
thread.run.step Available options:
message_creation, tool_calls Available options:
in_progress, cancelled, failed, completed, expired - Message creation
- Tool calls
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?

